#include <avr\io.h>
#include <stdio.h>

#include "adc.h"

volatile unsigned int adc_readTemp = 0;


void adc_init(void){
	// Set ADC0 input
	DDRF |= (0<<ADC0);

	// Set demo selector input
	DDRC |= (0<<DEMO1)|(0<<DEMO2);
	
	// Pull-up demo pins
	PORTC = (1<<DEMO1)|(1<<DEMO2);

	// Prescaling
	ADCSRA |= (1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0);

	// Free running mode
	ADCSRA |= (1<<ADFR);

	// 2.56 V internal voltage reference 
	ADMUX |= (1<<REFS0)|(1<<REFS1);

	// Enable ADC and interrupt
	// ADCSRA |= (1<<ADEN)|(1<<ADIE);
	ADCSRA |= (1<<ADEN);

	// Start conversion
	ADCSRA |= (1<<ADSC);

	//printf("ADC initialized\n\r");
}

// Returns the value of the ADC register
int adc_read(void){
	return ADCL + (ADCH << 8);
}

// A simple low pass filter to get a smoother operation of the pot
int adc_getValue(){
	if(adc_read() > (adc_readTemp+2) || adc_read() < (adc_readTemp-2)){
		adc_readTemp = adc_read();
	} 
	return 1994-(adc_readTemp*2);
}
