#ifndef __INCLUDE_LED_DRIVER_H
#define __INCLUDE_LED_DRIVER_H

//Conversion 

// Values representing numbers at the display indicators

#define ZERO (char)0b10111011
#define ONE (char)0b00011000
#define TWO (char)0b10101101
#define THREE (char)0b10011101
#define FOUR (char)0b00011110
#define FIVE (char)0b10010111
#define SIX (char)0b10110111
#define SEVEN (char)0b00011001
#define EIGHT (char)0b10111111
#define NINE (char)0b00011111
#define COMMA (char)0b01000000
#define ALARM (char)0b00001011
#define OFF (char)0b00000000



void led_driver_init(void);

// Maximum five digits
void led_driver_update(int integer, int decimal);

// Not used
//void led_driver_transmitDigits();

// Called from main-loop for timing of the brightness function
void led_driver_updateBrightness();

// Called from main-loop for timing of the alarm function
void led_driver_updateAlarm();

// Set brightness 0 - 100 %
void led_driver_setBrightness(int value);

// Alarm ON/OFF
void led_driver_setAlarm(bool state);



#endif // __INCLUDE_LED_DRIVER_H
