#include <avr\io.h>
#include <avr\interrupt.h>
#include <util\delay.h>
#include <string.h>
#include <stdio.h>

#include "macro.h"
#include "spi.h"
#include "status.h"

volatile unsigned int counter;

void status_init(){
	//Set output
	DDRC |= (1<<GREEN)|(1<<RED);

	//Set value
	SET_BIT(PORTC, GREEN);
	
	//Indicate reset
	CLEAR_BIT(PORTC, RED);
	_DELAY_MS(600);
	SET_BIT(PORTC, RED);

	counter = 0;
}

// Flashing the status LEDs
void status_flash(){
	if(counter == 1) CLEAR_BIT(PORTC, GREEN);
	else if (counter == 2) SET_BIT(PORTC, GREEN);
	else if (counter == 3) counter = 0;
	counter++;
}
