#include <avr\io.h>
#include <avr\interrupt.h>
#include <util\delay.h>
#include <string.h>
#include <stdio.h>

#include "macro.h"
#include "timer.h"

volatile unsigned int fastTimer; // 19.2 kHz
volatile unsigned int timer1; // 20 ms

void timer_init(){
	
	//Enable timer interrupt
	SET_BIT(SREG, 7);
	//Interrupt when counter overflow
	SET_BIT(TIMSK, TOIE0);
	//Prescaler
	TCCR0 |= (0<<CS02)|(0<<CS01)|(1<<CS00);
	
	fastTimer = 0;
	timer1 = 0;

	//printf("Timer initialized\n\r");

}

// Incrementing the fast and main timer
void timer_increase(){
	fastTimer++;
	timer1++;
	if(fastTimer==1000000) fastTimer = 0;
	if(timer1==383){ 
		timer1 = 0;
	}
}

// Get main timer
bool timer_getTime1(){
	if(timer1<5) return TRUE;
	else return FALSE;
}

// Get fast timer
int timer_getFastTimer(){
	return fastTimer;
}
